## tdelibs-trinity 14.0.9

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( tdelibs )

set( PACKAGE tdelibs )
set( VERSION R14.0.9 )


##### include essential cmake modules ###########

include( FindPkgConfig )
include( CheckIncludeFile )
include( CheckSymbolExists )
include( CheckFunctionExists )
include( CheckCSourceCompiles )
include( CheckCXXSourceCompiles )
include( CheckTypeSize )
include( CheckCSourceRuns )
include( CheckLibraryExists )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )
include( TDESetupPaths )


##### setup and find essential stuff ############

tde_setup_paths( )
tde_setup_architecture_flags( )
enable_testing( )
find_package( TQt )

list( APPEND TDECORE_LIBRARY_DIRS ${TQT_LIBRARY_DIRS} )


##### add apidox targets ############

add_custom_target(apidox
  COMMAND "./generate_apidox" "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" "${HTML_INSTALL_DIR}" "/usr/share/tqt3/doc/html"
  WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/cmake/")

add_custom_target(install-apidox
  COMMAND "./install_apidox" "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" "${HTML_INSTALL_DIR}" "${CMAKE_INSTALL_PREFIX}"
  WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}/cmake/")


##### user requested options ####################

OPTION( WITH_ALL_OPTIONS "Enable all optional support" OFF )

OPTION( TDE_MALLOC "Use own malloc implementation" OFF )
OPTION( TDE_MALLOC_DEBUG "Enable debugging in fast malloc" OFF )
OPTION( TDE_MALLOC_FULL "Make alloc as fast as possible" OFF )

OPTION( WITH_ARTS "Build with aRts" ON )
OPTION( WITH_ALSA "Enable ALSA support" ON )
OPTION( WITH_LIBART "Enable libart support (for SVG icons)" ${WITH_ALL_OPTIONS} )
OPTION( WITH_LIBIDN "Enable support for libidn" ${WITH_ALL_OPTIONS} )
OPTION( WITH_SSL "Enable support for SSL" ON )
OPTION( WITH_CUPS "Enable CUPS support" ON )
OPTION( WITH_LUA "Enable LUA support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_TIFF "Enable tiff support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_JASPER "Enable jasper (jpeg2k) support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_OPENEXR "Enable openexr support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_UTEMPTER "Use utempter for utmp management" ${WITH_ALL_OPTIONS} )
OPTION( WITH_AVAHI "Enable AVAHI support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_ELFICON "Enable ELF embedded icon support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_PCRE "Enable pcre regex support for kjs" ON )
OPTION( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
OPTION( WITH_INOTIFY "Enable inotify support for tdeio" ON )
OPTION( WITH_GAMIN "Enable FAM/GAMIN support" ${WITH_ALL_OPTIONS} )
option( WITH_TDEHWLIB "Enable TDE hwlib globally" ON )
option( WITH_TDEHWLIB_DAEMONS "Enable daemons for TDE hwlib" ${WITH_TDEHWLIB} )
option( WITH_HAL "Enable HAL support" OFF )
option( WITH_DEVKITPOWER "Enable DeviceKit Power support" OFF )
option( WITH_LOGINDPOWER "Enable Logind/Systemd Power support" OFF )
option( WITH_UPOWER "Enable uPower support" ${WITH_ALL_OPTIONS} )
option( WITH_UDISKS "Enable uDisks support" ${WITH_ALL_OPTIONS} )
option( WITH_UDISKS2 "Enable uDisks2 support" ${WITH_ALL_OPTIONS} )
option( WITH_CONSOLEKIT "Enable ConsoleKit support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_NETWORK_MANAGER_BACKEND "Enable network-manager support" OFF )
OPTION( WITH_SUDO_TDESU_BACKEND "Use sudo as backend for tdesu (default is su)" OFF )
OPTION( WITH_OLD_XDG_STD "Use the pre R14.0.0 XDG standard where both TDE and KDE are recognized in desktop files" OFF )
OPTION( WITH_LZMA "Enable support for LZMA/XZ" ${WITH_ALL_OPTIONS} )
OPTION( WITH_LIBBFD "Enable pretty backtraces with libbfd from GNU binutils" OFF )
OPTION( WITH_XRANDR "Build the tderandr library" ON )
OPTION( WITH_XCOMPOSITE "Enable xcomposite support" ON )
OPTION( WITH_MITSHM "Use MIT-SHM for pixmap loading/saving" ${WITH_ALL_OPTIONS} )
OPTION( WITH_KDE4_MENU_SUFFIX "Add [KDE4] tag to KDE4 menu items" OFF )

OPTION( WITH_ISPELL "Enable ispell support" ON )
OPTION( WITH_ASPELL "Enable aspell support" ${WITH_ALL_OPTIONS} )
OPTION( WITH_HSPELL "Enable hspell support" ${WITH_ALL_OPTIONS} )

OPTION( WITH_TDEICONLOADER_DEBUG "Enable debugging in TDEIconLoader class" OFF )


##### set PKG_CONFIG_PATH #######################

set( ENV{PKG_CONFIG_PATH} "${PKG_CONFIG_PATH}:${PKGCONFIG_INSTALL_DIR}:${LIB_INSTALL_DIR}/pkgconfig:$ENV{PKG_CONFIG_PATH}" )


##### check for CPU architecture ################

### FIXME fast malloc is also available on x86_64 architecture?
if( ${CMAKE_SYSTEM_PROCESSOR} MATCHES "i?86" OR ${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64" )
  set( TDE_MALLOC_X86 1 )
  message( STATUS "Found x86 architecture" )
else( ${CMAKE_SYSTEM_PROCESSOR} MATCHES "i?86" OR ${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64" )
  if( TDE_MALLOC )
    message( FATAL_ERROR "\nKDE fast malloc is available only on x86 architecture" )
  endif( TDE_MALLOC )
endif( ${CMAKE_SYSTEM_PROCESSOR} MATCHES "i?86" OR ${CMAKE_SYSTEM_PROCESSOR} STREQUAL "x86_64" )


##### check for operating system ################

if( ${CMAKE_SYSTEM_NAME} STREQUAL "Linux" )
  set( TDEINIT_SETUID 1 )
  set( TDEINIT_OOM_PROTECT 1 )
endif( ${CMAKE_SYSTEM_NAME} STREQUAL "Linux" )


##### get the system's default path for libraries

tde_save_and_set( CMAKE_INSTALL_PREFIX "/usr" )
include( GNUInstallDirs OPTIONAL )
if( CMAKE_INSTALL_LIBDIR )
  set( SYSTEM_LIBDIR "${CMAKE_INSTALL_LIBDIR}" )
else( )
  set( SYSTEM_LIBDIR "lib${LIB_SUFFIX}" )
endif( )
tde_restore( CMAKE_INSTALL_PREFIX )


##### check for compiler capabilities ###########

include( CheckCXXCompilerFlag )

check_cxx_compiler_flag( -Woverloaded-virtual WOVERLOADED_VIRTUAL )
if( WOVERLOADED_VIRTUAL )
  set( WOVERLOADED_VIRTUAL -Woverloaded-virtual )
endif( WOVERLOADED_VIRTUAL )

check_cxx_compiler_flag( -fno-builtin NO_BUILTIN )
if( NO_BUILTIN )

endif( NO_BUILTIN )


##### system checks #############################

include(TestBigEndian)
test_big_endian(WORDS_BIGENDIAN)

tde_setup_largefiles( )

tde_save_and_set( CMAKE_REQUIRED_INCLUDES ${CMAKE_SOURCE_DIR}/libltdl )
check_include_file( "ltdl.h" HAVE_LTDL_H )
if( NOT HAVE_LTDL_H )
  tde_message_fatal( "ltdl.h is required, but not found on your system" )
endif( )
tde_restore( CMAKE_REQUIRED_INCLUDES )

check_include_file( "alloca.h" HAVE_ALLOCA_H )
check_include_file( "arpa/nameser8_compat.h" HAVE_ARPA_NAMESER8_COMPAT_H )
check_include_file( "awe_voice.h" HAVE_AWE_VOICE_H )
check_include_file( "Carbon/Carbon.h" HAVE_CARBON_CARBON_H )
check_include_file( "crt_externs.h" HAVE_CRT_EXTERNS_H )
check_include_file( "ctype.h" HAVE_CTYPE_H )
check_include_file( "dirent.h" HAVE_DIRENT_H )
check_include_file( "dld.h" HAVE_DLD_H )
check_include_file( "dlfcn.h" HAVE_DLFCN_H )
check_include_file( "dl.h" HAVE_DL_H )
check_include_file( "float.h" HAVE_FLOAT_H )
check_include_file( "fstab.h" HAVE_FSTAB_H )
check_include_file( "ieeefp.h" HAVE_IEEEFP_H )
check_include_file( "inttypes.h" HAVE_INTTYPES_H )
check_include_file( "libutil.h" HAVE_LIBUTIL_H )
check_include_file( "limits.h" HAVE_LIMITS_H )
check_include_file( "linux/awe_voice.h" HAVE_LINUX_AWE_VOICE_H )
check_include_file( "locale.h" HAVE_LOCALE_H )
check_include_file( "machine/soundcard.h" HAVE_MACHINE_SOUNDCARD_H )
check_include_file( "malloc.h" HAVE_MALLOC_H )
check_include_file( "memory.h" HAVE_MEMORY_H )
check_include_file( "mntent.h" HAVE_MNTENT_H )
check_include_file( "ndir.h" HAVE_NDIR_H )
check_include_file( "netinet/in.h" HAVE_NETINET_IN_H )
check_include_file( "net/if.h" HAVE_NET_IF_H )
if( NOT HAVE_NET_IF_H )
  find_path( NET_IF_PATH "net/if.h" )
  if( NET_IF_PATH )
    set( HAVE_NET_IF_H "1" )
  endif( )
endif( )
check_include_file( "paths.h" HAVE_PATHS_H )
check_include_file( "pty.h" HAVE_PTY_H )
check_include_file( "stdint.h" HAVE_STDINT_H )
check_include_file( "stdio.h" HAVE_STDIO_H )
check_include_file( "stdlib.h" HAVE_STDLIB_H )
check_include_file( "strings.h" HAVE_STRINGS_H )
check_include_file( "string.h" HAVE_STRING_H )
check_include_file( "sysent.h" HAVE_SYSENT_H )
check_include_file( "sys/acl.h" HAVE_SYS_ACL_H )
check_include_file( "sys/bitypes.h" HAVE_SYS_BITYPES_H )
check_include_file( "sys/dir.h" HAVE_SYS_DIR_H )
check_include_file( "sys/filio.h" HAVE_SYS_FILIO_H )
check_include_file( "sys/mman.h" HAVE_SYS_MMAN_H )
check_include_file( "sys/mntent.h" HAVE_SYS_MNTENT_H )
check_include_file( "sys/mnttab.h" HAVE_SYS_MNTTAB_H )
check_include_file( "sys/mount.h" HAVE_SYS_MOUNT_H )
if( NOT HAVE_SYS_MOUNT_H )
  find_path( SYS_MOUNT_PATH "sys/mount.h" )
  if( SYS_MOUNT_PATH )
    set( HAVE_SYS_MOUNT_H "1" )
  endif( )
endif( )
check_include_file( "sys/ndir.h" HAVE_SYS_NDIR_H )
check_include_file( "sys/param.h" HAVE_SYS_PARAM_H )
check_include_file( "sys/prctl.h" HAVE_SYS_PRCTL_H )
check_include_file( "sys/select.h" HAVE_SYS_SELECT_H )
check_include_file( "sys/soundcard.h" HAVE_SYS_SOUNDCARD_H )
check_include_file( "sys/stat.h" HAVE_SYS_STAT_H )
check_include_file( "sys/stropts.h" HAVE_SYS_STROPTS_H )
check_include_file( "sys/types.h" HAVE_SYS_TYPES_H )
check_include_file( "sys/ucred.h" HAVE_SYS_UCRED_H )
if( NOT HAVE_SYS_UCRED_H )
  find_path( SYS_UCRED_PATH "sys/ucred.h" )
  if( SYS_UCRED_PATH )
    set( HAVE_SYS_UCRED_H "1" )
  endif( )
endif( )
check_include_file( "sys/xattr.h" HAVE_SYS_XATTR_H )
check_include_file( "termios.h" HAVE_TERMIOS_H )
check_include_file( "termio.h" HAVE_TERMIO_H )
check_include_file( "unistd.h" HAVE_UNISTD_H )
check_include_file( "util.h" HAVE_UTIL_H )
check_include_file( "values.h" HAVE_VALUES_H )

# FIXME I'm not sure if test TIME_WITH_SYS_TIME are correct
check_include_file( "sys/time.h" HAVE_SYS_TIME_H )
check_include_file( "time.h" HAVE_TIME_H )
if( HAVE_SYS_TIME_H AND HAVE_TIME_H )
  set( TIME_WITH_SYS_TIME 1 )
endif( HAVE_SYS_TIME_H AND HAVE_TIME_H )

if( HAVE_SYS_ACL_H )
  check_include_file( "acl/libacl.h" HAVE_ACL_LIBACL_H )
  if( HAVE_ACL_LIBACL_H )
    check_library_exists( acl acl_init "" HAVE_ACL_INIT )
    if( HAVE_ACL_INIT AND HAVE_SYS_XATTR_H )
      set( USE_POSIX_ACL 1 )
      set( HAVE_NON_POSIX_ACL_EXTENSIONS 1 )
      set( ACL_LIBRARIES acl attr )
    endif( HAVE_ACL_INIT AND HAVE_SYS_XATTR_H )
  else( HAVE_ACL_LIBACL_H )
    check_library_exists( c acl_init "" HAVE_ACL_INIT )
    if( HAVE_ACL_INIT )
      set( USE_POSIX_ACL 1 )
      set( ACL_LIBRARIES c )
    endif( HAVE_ACL_INIT )
  endif( HAVE_ACL_LIBACL_H )
endif( HAVE_SYS_ACL_H )

check_include_file( "valgrind/memcheck.h" HAVE_VALGRIND_MEMCHECK_H )
check_include_file( "values.h" HAVE_VALUES_H )
check_include_file( "X11/extensions/shape.h" HAVE_X11_EXTENSIONS_SHAPE_H )
check_include_file( "/usr/src/sys/gnu/i386/isa/sound/awe_voice.h" HAVE__USR_SRC_SYS_GNU_I386_ISA_SOUND_AWE_VOICE_H )
check_include_file( "/usr/src/sys/i386/isa/sound/awe_voice.h" HAVE__USR_SRC_SYS_I386_ISA_SOUND_AWE_VOICE_H )

check_function_exists( random HAVE_RANDOM )
check_symbol_exists( random "stdlib.h" HAVE_RANDOM_PROTO )

check_function_exists( srandom HAVE_SRANDOM )
check_symbol_exists( srandom "stdlib.h" HAVE_SRANDOM_PROTO )

check_function_exists( seteuid HAVE_SETEUID )
check_function_exists( setegid HAVE_SETEGID )

check_function_exists( gethostname HAVE_GETHOSTNAME )
check_symbol_exists( gethostname "unistd.h" HAVE_GETHOSTNAME_PROTO )

check_function_exists( vsnprintf HAVE_VSNPRINTF )
check_function_exists( snprintf HAVE_SNPRINTF )

check_function_exists( setenv HAVE_SETENV )
check_symbol_exists( setenv "stdlib.h" HAVE_SETENV_PROTO )

check_function_exists( unsetenv HAVE_UNSETENV )
check_symbol_exists( unsetenv "stdlib.h" HAVE_UNSETENV_PROTO )

check_function_exists( mkdtemp HAVE_MKDTEMP )
check_symbol_exists( mkdtemp "stdlib.h" HAVE_MKDTEMP_PROTO )

check_function_exists( mkstemp HAVE_MKSTEMP )

=== tdehtml/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${WOVERLOADED_VIRTUAL}" )

add_subdirectory( misc )
add_subdirectory( dom )
add_subdirectory( css )
add_subdirectory( xml )
add_subdirectory( html )
add_subdirectory( rendering )
add_subdirectory( java )
add_subdirectory( ecma )
add_subdirectory( tdemultipart )

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/kjs
  ${CMAKE_BINARY_DIR}/tdeio/kssl
  ${CMAKE_BINARY_DIR}/tdecore
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/dcop
  ${CMAKE_SOURCE_DIR}/tdefx
  ${CMAKE_SOURCE_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}/tdeui
  ${CMAKE_SOURCE_DIR}/tdeio
  ${CMAKE_SOURCE_DIR}/tdeio/tdeio
  ${CMAKE_SOURCE_DIR}/tdeio/tdefile
  ${CMAKE_SOURCE_DIR}/tdeio/kssl
  ${CMAKE_SOURCE_DIR}/tdeutils
  ${CMAKE_SOURCE_DIR}/tdewallet/client
  ${CMAKE_SOURCE_DIR}/tdeprint
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    tdehtmlview.h tdehtml_part.h tdehtml_events.h
    tdehtml_settings.h tdehtmldefaults.h
  DESTINATION ${INCLUDE_INSTALL_DIR} )


##### other data ################################

tde_create_translated_desktop(
  SOURCE tdehtml.desktop tdehtmlimage.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdehtml-desktops
)

install( FILES tdehtml.rc tdehtml_browser.rc tdehtml_popupmenu.rc DESTINATION ${DATA_INSTALL_DIR}/tdehtml )


##### tdehtml #####################################

set( target tdehtml )

set( ${target}_SRCS
  tdehtmlview.cpp tdehtml_part.cpp tdehtml_run.cpp
  tdehtml_factory.cpp tdehtml_settings.cc tdehtml_events.cpp
  tdehtml_ext.cpp tdehtml_pagecache.cpp tdehtml_iface.cc
  tdehtml_printsettings.cpp tdehtmlimage.cpp kjserrordlg.ui
  htmlpageinfo.ui tdehtml_iface.skel
)

### FIXME what is this?
### if include_VERSION_SCRIPT
### VSCRIPT = -Wl,--version-script=$(srcdir)/libtdehtml.map
### endif

### FIXME what about java?
### FIXME maybe static libs must be embedded?

tde_add_library( ${target} SHARED AUTOMOC
  SOURCES ${${target}_SRCS}
  VERSION 14.0.0
  LINK ${VSCRIPT} kjava-static kjs_html-static tdehtmldom-static tdehtmlcss-static
    tdehtmlhtml-static tdehtmlxml-static tdehtmlrender-static tdehtmlmisc-static
    tdeutils-shared tdeprint-shared
  LINK_PRIVATE kjs-shared ${JPEG_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)


##### libtdehtmlpart ##############################

set( target libtdehtmlpart )

set( ${target}_SRCS
  dummy.cpp
)

file( WRITE ${CMAKE_CURRENT_BINARY_DIR}/dummy.cpp
"#include <tdelibs_export.h>
extern \"C\" KDE_EXPORT void* init_libtdehtml();
extern \"C\" KDE_EXPORT void* init_libtdehtmlpart() { return init_libtdehtml(); }
" )

tde_add_kpart( ${target}
  SOURCES ${${target}_SRCS}
  LINK tdehtml-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### tdehtmlimagepart ############################

set( target tdehtmlimagepart )

set( ${target}_SRCS
  imgdummy.cpp
)

file( WRITE ${CMAKE_CURRENT_BINARY_DIR}/imgdummy.cpp
"
#include <tdelibs_export.h>
extern \"C\"  KDE_EXPORT void* init_tdehtmlimagefactory();
extern \"C\"  KDE_EXPORT void* init_tdehtmlimagepart() { return init_tdehtmlimagefactory(); }
" )

tde_add_kpart( ${target}
  SOURCES ${${target}_SRCS}
  LINK tdehtml-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== arts/kde/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${ARTS_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}/tdeui
  ${CMAKE_SOURCE_DIR}/tdeio
  ${CMAKE_SOURCE_DIR}/tdeio/tdeio
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES
    kplayobject.h kplayobjectfactory.h kartsfloatwatch.h
    ${CMAKE_CURRENT_BINARY_DIR}/artskde.h kartsdispatcher.h
    kaudiorecordstream.h kaudioplaystream.h kartsserver.h
    kvideowidget.h kaudiomanagerplay.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/arts )


##### artskde ###################################

set( target artskde )

set( ${target}_SRCS
  artskde.cc kioinputstream_impl.cpp kplayobject.cc
  kplayobjectfactory.cc kartsfloatwatch.cpp kartsdispatcher.cc
  kaudiorecordstream.cpp kaudioplaystream.cpp kartsserver.cpp
  kdatarequest_impl.cpp kaudioconverter.cc kvideowidget.cpp
  kplayobjectcreator.cc kaudiomanagerplay.cpp
)

add_custom_command(
  OUTPUT artskde.cc artskde.h
  COMMAND ${ARTS_MCOPIDL_EXECUTABLE}
    -I${ARTS_INCLUDEDIR} ${CMAKE_CURRENT_SOURCE_DIR}/artskde.idl
  DEPENDS artskde.idl
)

tde_add_library( ${target} SHARED AUTOMOC
  SOURCES ${${target}_SRCS}
  VERSION 1.2.0
  LINK tdeio-shared mcop artsflow_idl kmedia2_idl soundserver_idl artsflow qtmcop
  DESTINATION ${LIB_INSTALL_DIR}
)

=== tdeio/bookmarks/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}/dcop
  ${CMAKE_SOURCE_DIR}/tdefx
  ${CMAKE_SOURCE_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}/tdeui
  ${CMAKE_SOURCE_DIR}/tdeio
  ${CMAKE_SOURCE_DIR}/tdeio/tdeio
  ${CMAKE_SOURCE_DIR}/tdeio/tdefile
)


##### headers ###################################

install( FILES
    kbookmark.h kbookmarkbar.h kbookmarkdrag.h kbookmarkexporter.h
    kbookmarkimporter.h kbookmarkmanager.h kbookmarkmenu.h
    kbookmarknotifier.h kbookmarkimporter_crash.h
    kbookmarkimporter_opera.h kbookmarkimporter_ie.h
    kbookmarkimporter_ns.h kbookmarkimporter_kde1.h
    kbookmarkdombuilder.h
  DESTINATION ${INCLUDE_INSTALL_DIR} )


##### kbookmarks ################################

set( target kbookmarks )

set( ${target}_SRCS
  kbookmark.cc kbookmarkbar.cc kbookmarkdrag.cc kbookmarkexporter.cc
  kbookmarkimporter.cc kbookmarkmanager.cc kbookmarkmenu.cc
  kbookmarkimporter_crash.cc kbookmarkimporter_opera.cc
  kbookmarkimporter_ie.cc kbookmarkimporter_ns.cc
  kbookmarkimporter_kde1.cc kbookmarkdombuilder.cc
  kbookmarkmanager.skel kbookmarknotifier.skel
)

tde_add_library( ${target} STATIC_PIC AUTOMOC
  SOURCES ${${target}_SRCS}
)

=== tdeioslave/file/CMakeLists.txt ===
#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}/dcop
  ${CMAKE_SOURCE_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}/tdeio
  ${CMAKE_SOURCE_DIR}/tdeio/tdeio
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### headers ###################################

install( FILES file.h DESTINATION ${INCLUDE_INSTALL_DIR}/tdeio )


##### other data ################################

tde_create_translated_desktop(
  SOURCE file.protocol
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR tdeioslave-desktops
)


##### tdeio_file ##################################

set( target tdeio_file )

set( ${target}_SRCS
  file.cc
)

tde_add_kpart( ${target} AUTOMOC
  SOURCES ${${target}_SRCS}
  LINK tdeio-shared ${ACL_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== tdecore/tdeconfig_compiler/tests/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/dcop
  ${CMAKE_BINARY_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}/tdecore
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

add_definitions(
    -DQT_NO_CAST_ASCII
    -DSRCDIR="${CMAKE_CURRENT_SOURCE_DIR}"
)

set( TESTS test1 test2 test3 test4 test5 test6 test7 test8 test9 test_dpointer )

# A couple of test got specific settings
set( test8_KCFG test8a test8b )
set( test_dpointer_MAIN test_dpointer_main.cpp )

foreach( tst ${TESTS} )
  unset( _sources )

  # add main file (the second one is default
  if( ${tst}_MAIN )
    list( APPEND _sources ${${tst}_MAIN} )
  else()
    list( APPEND _sources "${tst}main.cpp" )
  endif()

  # set the default kcfg name
  if( NOT ${tst}_KCFG )
    set( ${tst}_KCFG ${tst} )
  endif()

  # kcfgc's here are not designed to be passed to kde3_add_kcfg_files() macro
  # so we will process them manually
  foreach( kcfg ${${tst}_KCFG})
    add_custom_command(
      OUTPUT  ${kcfg}.cpp ${kcfg}.h
      COMMAND "${CMAKE_BINARY_DIR}/tdecore/tdeconfig_compiler/tdeconfig_compiler"
      ARGS "${CMAKE_CURRENT_SOURCE_DIR}/${kcfg}.kcfg"
        "${CMAKE_CURRENT_SOURCE_DIR}/${kcfg}.kcfgc"
      DEPENDS tdeconfig_compiler "${CMAKE_CURRENT_SOURCE_DIR}/${kcfg}.kcfg"
        "${CMAKE_CURRENT_SOURCE_DIR}/${kcfg}.kcfgc"
    )

    add_test( NAME tdecore/tdeconfig_compiler/${kcfg}-cpp
        COMMAND ${CMAKE_COMMAND} -E compare_files
          "${CMAKE_CURRENT_BINARY_DIR}/${kcfg}.cpp"
          "${CMAKE_CURRENT_SOURCE_DIR}/${kcfg}.cpp.ref" )

    add_test( NAME tdecore/tdeconfig_compiler/${kcfg}-header
        COMMAND ${CMAKE_COMMAND} -E compare_files
          "${CMAKE_CURRENT_BINARY_DIR}/${kcfg}.h"
          "${CMAKE_CURRENT_SOURCE_DIR}/${kcfg}.h.ref" )

    list( APPEND _sources ${CMAKE_CURRENT_BINARY_DIR}/${kcfg}.cpp )
  endforeach( )

  tde_add_check_executable( ${tst} AUTOMOC
    SOURCES ${_sources}
    LINK tdecore-shared
  )
endforeach( tst ${TESTS} )

=== tdewallet/backend/tests/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/dcop
  ${CMAKE_SOURCE_DIR}/tdewallet/client
  ${CMAKE_SOURCE_DIR}/tdewallet/backend
  ${CMAKE_BINARY_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}/tdecore
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

tde_add_check_executable( backendtest AUTOMOC
    LINK tdewalletbackend-shared tdewalletclient-shared )
add_test( NAME "tdewallet/backed/backendtest"
    COMMAND sh -x "${CMAKE_CURRENT_SOURCE_DIR}/backendtest.sh" )
tde_add_check_executable( testbf AUTOMOC
    SOURCES testbf.cpp ../blockcipher.cc ../blowfish.cc
    LINK tdewalletbackend-shared tdewalletclient-shared TEST )
tde_add_check_executable( testsha AUTOMOC
    SOURCES testsha.cpp ../sha1.cc
    LINK tdewalletbackend-shared tdewalletclient-shared TEST )

=== debian/changelog ===
tdelibs-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Oct 2020 01:20:38 +0200

=== debian/control ===
Source: tdelibs-trinity
Section: libs
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adeodato Sim <dato@net.com.org.es>, Ana Beatriz Guerrero Lopez <ana@debian.org>, Daniel Schepler <schepler@debian.org>, Fathi Boudra <fboudra@free.fr>, Sune Vuorela <debian@pusling.com>
Build-Depends: cdbs (>= 0.4.41ubuntu2), debhelper (>= 9~), quilt, cmake, intltool, autotools-dev,
 binutils (>= 2.14.90.0.7), binutils-dev, docbook-to-man, gawk,
 libart-2.0-dev (>= 4:14.0.0~), libarts1-trinity-dev (>= 1.5.0), libacl1-dev,
 libattr1-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 aspell, libaspell-dev, hspell, libbz2-dev, liblzma-dev, libcupsys2-dev | libcups2-dev,
 libidn11-dev, libjasper-dev (>= 1.900.1), libkrb5-dev | heimdal-dev, libldap2-dev,
 liblualib50-dev, libopenexr-dev (>= 1.2.2-4.1), libpcre3-dev,
 libsasl2-dev, libssl-dev, libxcomposite-dev, libdbus-1-tqt-dev,
 libtiff-dev, libavahi-client-dev (>= 0.4), x11-xserver-utils,
 libxml2-dev, libxml2-utils, libxslt1-dev, libavahi-tqt-dev,
 sharutils, texinfo, libogg-dev, libtqtinterface-dev,
 lsb-release, base-files, sudo, libr-dev,
 libudev-dev, libltdl-dev, libmagic-dev
Build-Depends-Indep: doxygen, libtqtinterface-doc, graphviz, gsfonts-x11
Standards-Version: 3.8.3

Package: tdelibs-trinity
Section: libs
Architecture: all
Replaces: kdelibs-kde3 (<< 4:14.0.0~), kdelibs-trinity (<< 4:14.0.0~)
Breaks: kdelibs-kde3 (<< 4:14.0.0~), kdelibs-trinity (<< 4:14.0.0~)
Provides: tdelibs
Conflicts: tdelibs
Depends: tdelibs14-trinity (>= ${source:Version}),
 tdelibs-data-trinity (>= ${source:Version})
Description: core libraries from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes the core TDE libraries, binaries, and data,
 needed by virtually all TDE applications. It does not include
 development files.

Package: tdelibs-data-trinity
Section: libs
Architecture: all
Replaces: kdelibs-data-kde3 (<< 4:14.0.0~), kdelibs-data-trinity (<< 4:14.0.0~)
Breaks: kdelibs-data-kde3 (<< 4:14.0.0~), kdelibs-data-trinity (<< 4:14.0.0~)
Conflicts: tdelibs-data, kdebase-kio-plugins-kde3 (<= 4:14.0.0~), kdebase-kio-plugins-trinity (<= 4:14.0.0~), ksysv-trinity (<< 4:14.0.6~), kamera-trinity (<< 4:14.0.8~), klinkstatus-trinity (<< 4:14.0.9~)
Depends: hicolor-icon-theme
Provides: tdelibs-data
Description: core shared data for all TDE applications
 This package contains all the architecture independent data files
 commonly used by TDE applications. You need these data files to run
 TDE applications.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'tde-trinity' and 'tdelibs-trinity' packages for more information.

Package: tdelibs14-trinity
Section: libs
Architecture: any
Replaces: kdelibs4c2a-kde3 (<< 4:14.0.0~), kdelibs4c2a-trinity (<< 4:14.0.0~), tdelibs4c2a-trinity
Breaks: kdelibs4c2a-kde3 (<< 4:14.0.0~), kdelibs4c2a-trinity (<< 4:14.0.0~), tdelibs4c2a-trinity
Depends: ${shlibs:Depends}, tdelibs-data-trinity,
 tdelibs-data-trinity, libart-2.0-2 (>= 4:14.0.0~), perl, xbase-clients
Recommends: xdg-user-dirs, consolekit | systemd
Suggests: fam, perl-suid
Description: core libraries and binaries for all TDE applications
 This package contains all the shared libraries and common core binaries
 used by all TDE applications. You need these libraries and binaries to
 run TDE applications.
 .
 Several scripts included in tdebase-bin, related to the handling of SMB
 and NFS shares, require the perl-suid package to work properly.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'tde-trinity' and 'tdelibs-trinity' packages for more information.

Package: tdelibs14-trinity-dev
Section: libdevel
Architecture: any
Replaces: kdelibs4-kde3-dev (<< 4:14.0.0~), kdelibs4-trinity-dev (<< 4:14.0.0~)
Breaks: kdelibs4-kde3-dev (<< 4:14.0.0~), kdelibs4-trinity-dev (<< 4:14.0.0~)
Depends: tdelibs14-trinity (= ${source:Version}), libart-2.0-dev (>= 4:14.0.0~),
 libarts1-trinity-dev (>= 1.5.0), ${libasound2-dev}, libacl1-dev, libattr1-dev,
 libaspell-dev, hspell, libbz2-dev, libcupsys2-dev | libcups2-dev,
 libidn11-dev, libjasper-dev (>= 1.900.1), libkrb5-dev,
 libopenexr-dev (>= 1.2.2-3), libpcre3-dev, liblualib50-dev,
 libsasl2-dev, libssl-dev, libxcomposite-dev,
 libtiff-dev, libxml2-dev, libxml2-utils, libxslt1-dev,
 libavahi-client-dev (>= 0.4), libavahi-tqt-dev, libtqtinterface-dev,
 libr-dev, libudev-dev, libdbus-1-tqt-dev, binutils-dev
Provides: tdelibs-trinity-dev
Description: development files for the TDE core libraries
 This package contains all the headers and other related files needed
 to compile TDE applications, or develop applications which use the
 core TDE libraries.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'tde-trinity' and 'tdelibs-trinity' packages for more information.

Package: tdelibs14-trinity-doc
Section: doc
Architecture: all
Replaces: kdelibs4-kde3-doc (<< 4:14.0.0~), kdelibs4-trinity-doc (<< 4:14.0.0~)
Breaks: kdelibs4-kde3-doc (<< 4:14.0.0~), kdelibs4-trinity-doc (<< 4:14.0.0~)
Provides: tdelibs-trinity-doc
Description: developer documentation for the TDE core libraries
 This package contains documentation for the core TDE libraries, of
 use more for developers creating applications which use the core
 TDE libraries, than regular users.
 .
 This package is part of TDE, and a component of the TDE libraries module.
 See the 'tde-trinity' and 'tdelibs-trinity' packages for more information.

Package: tdelibs-trinity-dbg
Section: libdevel
Architecture: any
Replaces: kdelibs-kde3-dbg (<< 4:14.0.0~), kdelibs-trinity-dbg (<< 4:14.0.0~)
Breaks: kdelibs-kde3-dbg (<< 4:14.0.0~), kdelibs-trinity-dbg (<< 4:14.0.0~)
Priority: extra
Conflicts: tdelibs4-trinity-dbg, tdelibs4c2-trinity-dbg, tdelibs4c2a-trinity-dbg
Depends: tdelibs14-trinity (= ${source:Version}), libtqtinterface-dbg, libc6-dbg [amd64]
Description: debugging symbols for tdelibs
 This package contains the debugging symbols associated with tdelibs.
 They will automatically be used by gdb for debugging tdelibs-related
 issues.

=== debian/rules ===
#! /usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=/opt/trinity/lib:debian/tmp/opt/trinity/lib
else
LD_LIBRARY_PATH += :/opt/trinity/lib:debian/tmp/opt/trinity/lib
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_KDE_APIDOX := yes

version=Debian Package $(DEB_VERSION)
DEB_OPT_FLAG += -DDEBIAN_VERSION=$(DEB_VERSION)

DEB_CMAKE_EXTRA_FLAGS := \
 -DLIB_SUFFIX="" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DCMAKE_LIBRARY_PATH="/opt/trinity/lib" \
 -DCMAKE_INCLUDE_PATH="/opt/trinity/include" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DWITH_GCC_VISIBILITY="ON" \
 -DWITH_LIBART="ON" \
 -DWITH_LIBIDN="ON" \
 -DWITH_TIFF="ON" \
 -DWITH_JASPER="ON" \
 -DWITH_OPENEXR="ON" \
 -DWITH_AVAHI="ON" \
 -DWITH_ISPELL="ON" \
 -DWITH_ASPELL="ON" \
 -DWITH_HSPELL="ON" \
 -DDEFAULT_SPELL_CHECKER="ASPELL" \
 -DWITH_ELFICON="ON" \
 -DWITH_TDEHWLIB="ON" \
 -DWITH_TDEHWLIB_DAEMONS="ON" \
 -DWITH_LOGINDPOWER="ON" \
 -DWITH_UPOWER="ON" \
 -DWITH_UDISKS="ON" \
 -DWITH_UDISKS2="ON" \
 -DWITH_CONSOLEKIT="ON" \
 -DWITH_NETWORK_MANAGER_BACKEND="ON" \
 -DWITH_LZMA="ON" \
 -DWITH_XRANDR="ON" \
 -DWITH_XCOMPOSITE="ON" \
 -DWITH_MITSHM="ON" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo

DEB_MAKE_CHECK_TARGET = check

DEB_FIXPERMS_EXCLUDE := \
	opt/trinity/bin/fileshareset	\
	opt/trinity/bin/kgrantpty	\
	opt/trinity/bin/kpac_dhcp_helper \
	opt/trinity/bin/start_tdeinit

DEB_DH_STRIP_ARGS  := --dbg-package=tdelibs-trinity-dbg

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

binary-install/tdelibs-data-trinity::
	install -p -D -m644 kded/tde-applications.menu debian/tdelibs-data-trinity/opt/trinity/etc/xdg/menus/tde-applications.menu
	install -p -D -m644 debian/trinitylibs.conf debian/tdelibs-data-trinity/etc/ld.so.conf.d/trinitylibs.conf
#	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/apps/tdeui/pics/abouttde.png debian/icons/abouttde-kubuntu.png.uu

	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/16x16/devices/computer.png debian/icons/cr16-device-computer.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/22x22/devices/computer.png debian/icons/cr22-device-computer.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/32x32/devices/computer.png debian/icons/cr32-device-computer.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/48x48/devices/computer.png debian/icons/cr48-device-computer.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/64x64/devices/computer.png debian/icons/cr64-device-computer.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/128x128/devices/computer.png debian/icons/cr128-device-computer.png.uu
#	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/scalable/devices/computer.svgz debian/icons/crsc-device-computer.svgz.uu

	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/16x16/actions/hibernate.png debian/icons/cr16-action-hibernate.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/22x22/actions/hibernate.png debian/icons/cr16-action-hibernate.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/32x32/actions/hibernate.png debian/icons/cr16-action-hibernate.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/48x48/actions/hibernate.png debian/icons/cr16-action-hibernate.png.uu

	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/16x16/actions/suspend.png debian/icons/cr16-action-suspend.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/22x22/actions/suspend.png debian/icons/cr16-action-suspend.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/32x32/actions/suspend.png debian/icons/cr16-action-suspend.png.uu
	uudecode -o debian/tdelibs-data-trinity/opt/trinity/share/icons/crystalsvg/48x48/actions/suspend.png debian/icons/cr16-action-suspend.png.uu

### 

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

binary-predeb/tdelibs14-trinity-dev::
ifeq (linux,$(DEB_HOST_ARCH_OS))
	echo "libasound2-trinity-dev=libasound2-trinity-dev" >> debian/tdelibs14-trinity-dev.substvars
endif

binary-install/tdelibs14-trinity::
	mv debian/tmp/opt/trinity/bin/tdecmshell debian/tmp/opt/trinity/bin/tdecmshell.real
	install -p -D -m755 debian/tmp/opt/trinity/bin/tdecmshell.real debian/tdelibs14-trinity/opt/trinity/bin/tdecmshell.real
	install -p -D -m755 debian/tdecmshell debian/tdelibs14-trinity/opt/trinity/bin/tdecmshell

## tdelibs-trinity 14.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 #
 #################################################
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 ##### general package setup #####################
@@ -17,7 +17,7 @@
 project( tdelibs )
 
 set( PACKAGE tdelibs )
-set( VERSION R14.0.9 )
+set( VERSION R14.0.10 )
 
 
 ##### include essential cmake modules ###########
@@ -75,6 +75,7 @@
 OPTION( WITH_LIBIDN "Enable support for libidn" ${WITH_ALL_OPTIONS} )
 OPTION( WITH_SSL "Enable support for SSL" ON )
 OPTION( WITH_CUPS "Enable CUPS support" ON )
+OPTION( WITH_IMAGETOPS_BINARY "Enable installation of imagetops binary" ${WITH_ALL_OPTIONS} )
 OPTION( WITH_LUA "Enable LUA support" ${WITH_ALL_OPTIONS} )
 OPTION( WITH_TIFF "Enable tiff support" ${WITH_ALL_OPTIONS} )
 OPTION( WITH_JASPER "Enable jasper (jpeg2k) support" ${WITH_ALL_OPTIONS} )
@@ -307,6 +308,3 @@
 check_symbol_exists( unsetenv "stdlib.h" HAVE_UNSETENV_PROTO )
 
 check_function_exists( mkdtemp HAVE_MKDTEMP )
-check_symbol_exists( mkdtemp "stdlib.h" HAVE_MKDTEMP_PROTO )
-
-check_function_exists( mkstemp HAVE_MKSTEMP )

=== tdecore/tests/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Alexander Golubev
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}/tdecore
  ${CMAKE_SOURCE_DIR}/dcop
)

link_directories(
  ${TDECORE_LIBRARY_DIRS}
)

tde_add_library( tdeconfigtest SHARED AUTOMOC
  SOURCES tdeconfigtest.cpp
  LINK tdeunittest-shared
  EXCLUDE_FROM_ALL
)

set( CHECKS
  tdeconfigtestgui klocaletest kprocesstest ksimpleconfigtest kstddirstest
  kuniqueapptest ktempfiletest krandomsequencetest kdebugtest
  ksocktest kstringhandlertest kcmdlineargstest kapptest kmemtest
  dcopkonqtest kipctest cplusplustest kiconloadertest kresolvertest
  kmdcodectest knotifytest ksortablevaluelisttest krfcdatetest testqtargs
  kprociotest kcharsetstest kcalendartest kmacroexpandertest kshelltest
  kxerrorhandlertest startserviceby kglobaltest ktimezonestest
)


foreach( _check ${CHECKS} )
  tde_add_check_executable( ${_check} AUTOMOC LINK tdeconfigtest-shared )
endforeach( )

tde_add_check_executable( kurltest        AUTOMOC LINK tdeconfigtest-shared TEST )
tde_add_check_executable( tdestdacceltest AUTOMOC LINK tdeconfigtest-shared TEST )

tde_add_check_executable( kidlservertest AUTOMOC SOURCES KIDLTest.cpp KIDLTest.skel
  LINK tdeconfigtest-shared )
tde_add_check_executable( kidlclienttest AUTOMOC SOURCES KIDLTestClient.cpp
  KIDLTest.stub LINK tdeconfigtest-shared )

set_property(
  SOURCE KIDLTestClient.cpp
  APPEND PROPERTY
  OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/KIDLTest_stub.cpp
)

=== debian/changelog ===
tdelibs-trinity (4:14.0.10-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 23 Apr 2021 12:50:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: tdelibs-trinity
 Section: libs
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Adeodato Sim <dato@net.com.org.es>, Ana Beatriz Guerrero Lopez <ana@debian.org>, Daniel Schepler <schepler@debian.org>, Fathi Boudra <fboudra@free.fr>, Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs (>= 0.4.41ubuntu2), debhelper (>= 9~), quilt, cmake, intltool, autotools-dev,
+Build-Depends: cdbs (>= 0.4.41ubuntu2), debhelper (>= 9~), quilt, cmake, autotools-dev,
  binutils (>= 2.14.90.0.7), binutils-dev, docbook-to-man, gawk,
  libart-2.0-dev (>= 4:14.0.0~), libarts1-trinity-dev (>= 1.5.0), libacl1-dev,
  libattr1-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
@@ -23,10 +23,9 @@
 Package: tdelibs-trinity
 Section: libs
 Architecture: all
-Replaces: kdelibs-kde3 (<< 4:14.0.0~), kdelibs-trinity (<< 4:14.0.0~)
-Breaks: kdelibs-kde3 (<< 4:14.0.0~), kdelibs-trinity (<< 4:14.0.0~)
+Replaces: kdelibs-trinity (<< 4:14.0.0~)
+Breaks: kdelibs-trinity (<< 4:14.0.0~)
 Provides: tdelibs
-Conflicts: tdelibs
 Depends: tdelibs14-trinity (>= ${source:Version}),
  tdelibs-data-trinity (>= ${source:Version})
 Description: core libraries from the official Trinity release
@@ -42,9 +41,9 @@
 Package: tdelibs-data-trinity
 Section: libs
 Architecture: all
-Replaces: kdelibs-data-kde3 (<< 4:14.0.0~), kdelibs-data-trinity (<< 4:14.0.0~)
-Breaks: kdelibs-data-kde3 (<< 4:14.0.0~), kdelibs-data-trinity (<< 4:14.0.0~)
-Conflicts: tdelibs-data, kdebase-kio-plugins-kde3 (<= 4:14.0.0~), kdebase-kio-plugins-trinity (<= 4:14.0.0~), ksysv-trinity (<< 4:14.0.6~), kamera-trinity (<< 4:14.0.8~), klinkstatus-trinity (<< 4:14.0.9~)
+Replaces: kdelibs-data-trinity (<< 4:14.0.0~)
+Breaks: kdelibs-data-trinity (<< 4:14.0.0~)
+Conflicts: kdebase-kio-plugins-trinity (<= 4:14.0.0~), ksysv-trinity (<< 4:14.0.6~), kamera-trinity (<< 4:14.0.8~), klinkstatus-trinity (<< 4:14.0.9~)
 Depends: hicolor-icon-theme
 Provides: tdelibs-data
 Description: core shared data for all TDE applications
@@ -61,9 +60,11 @@
 Replaces: kdelibs4c2a-kde3 (<< 4:14.0.0~), kdelibs4c2a-trinity (<< 4:14.0.0~), tdelibs4c2a-trinity
 Breaks: kdelibs4c2a-kde3 (<< 4:14.0.0~), kdelibs4c2a-trinity (<< 4:14.0.0~), tdelibs4c2a-trinity
 Depends: ${shlibs:Depends}, tdelibs-data-trinity,
- tdelibs-data-trinity, libart-2.0-2 (>= 4:14.0.0~), perl, xbase-clients
+ netpbm (>= 2:10.0-15.1) | tdelibs14-imagetops-trinity,
+ libart-2.0-2 (>= 4:14.0.0~), perl, xbase-clients
 Recommends: xdg-user-dirs, consolekit | systemd
 Suggests: fam, perl-suid
+Conflicts: tdelibs4-trinity, tdelibs4c2-trinity (>> 4:1.0.0), tdelibs-bin-trinity (<< 4:3.3.3), tdelibs4-trinity-dev (<< 4:3.5.7.dfsg.1-6)
 Description: core libraries and binaries for all TDE applications
  This package contains all the shared libraries and common core binaries
  used by all TDE applications. You need these libraries and binaries to
@@ -75,11 +76,27 @@
  This package is part of TDE, and a component of the TDE libraries module.
  See the 'tde-trinity' and 'tdelibs-trinity' packages for more information.
 
+Package: tdelibs14-imagetops-trinity
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}
+Recommends: netpbm
+Conflicts: tdelibs14-trinity (<< 4:14.0.10~), netpbm (>= 2:10.0-15.1)
+Description: core libraries and binaries for all TDE applications
+ This package contains the imagetops binary needed for print filters.
+ .
+ This binary has been included as part of newer versions of the netpbm
+ package. Therefore, to avoid conflict, it was separated from the
+ tdelibs14-trinity package into a separate package.
+ .
+ This package is part of TDE, and a component of the TDE libraries module.
+ See the 'tde-trinity' and 'tdelibs-trinity' packages for more information.
+
 Package: tdelibs14-trinity-dev
 Section: libdevel
 Architecture: any
-Replaces: kdelibs4-kde3-dev (<< 4:14.0.0~), kdelibs4-trinity-dev (<< 4:14.0.0~)
-Breaks: kdelibs4-kde3-dev (<< 4:14.0.0~), kdelibs4-trinity-dev (<< 4:14.0.0~)
+Replaces: kdelibs4-trinity-dev (<< 4:14.0.0~)
+Breaks: kdelibs4-trinity-dev (<< 4:14.0.0~)
 Depends: tdelibs14-trinity (= ${source:Version}), libart-2.0-dev (>= 4:14.0.0~),
  libarts1-trinity-dev (>= 1.5.0), ${libasound2-dev}, libacl1-dev, libattr1-dev,
  libaspell-dev, hspell, libbz2-dev, libcupsys2-dev | libcups2-dev,
@@ -101,8 +118,8 @@
 Package: tdelibs14-trinity-doc
 Section: doc
 Architecture: all
-Replaces: kdelibs4-kde3-doc (<< 4:14.0.0~), kdelibs4-trinity-doc (<< 4:14.0.0~)
-Breaks: kdelibs4-kde3-doc (<< 4:14.0.0~), kdelibs4-trinity-doc (<< 4:14.0.0~)
+Replaces: kdelibs4-trinity-doc (<< 4:14.0.0~)
+Breaks: kdelibs4-trinity-doc (<< 4:14.0.0~)
 Provides: tdelibs-trinity-doc
 Description: developer documentation for the TDE core libraries
  This package contains documentation for the core TDE libraries, of
@@ -115,8 +132,8 @@
 Package: tdelibs-trinity-dbg
 Section: libdevel
 Architecture: any
-Replaces: kdelibs-kde3-dbg (<< 4:14.0.0~), kdelibs-trinity-dbg (<< 4:14.0.0~)
-Breaks: kdelibs-kde3-dbg (<< 4:14.0.0~), kdelibs-trinity-dbg (<< 4:14.0.0~)
+Replaces: kdelibs-trinity-dbg (<< 4:14.0.0~)
+Breaks: kdelibs-trinity-dbg (<< 4:14.0.0~)
 Priority: extra
 Conflicts: tdelibs4-trinity-dbg, tdelibs4c2-trinity-dbg, tdelibs4c2a-trinity-dbg
 Depends: tdelibs14-trinity (= ${source:Version}), libtqtinterface-dbg, libc6-dbg [amd64]
